Page MenuHomePhabricator

Credit the source of the ISBN data in Citoid Extension
Closed, ResolvedPublic1 Story Points

Description

When a result is returned from the Citoid service into the auto-citation tool which has been provided by WorldCat, show "Powered by WorldCat" text. (wording to be finalised).

Must also include the worldcat pinwheel logo, either horizontal or vertical: https://www.oclc.org/en/news/media-kit.html

Details

Related Gerrit Patches:
mediawiki/extensions/Citoid : masterCredit Worldcat where they're the data source

Event Timeline

Mvolz moved this task from Backlog to Service on the Citoid board.Sep 16 2016, 12:40 PM
Mvolz moved this task from Service to Extension on the Citoid board.
Mvolz added a subscriber: Mvolz.EditedSep 16 2016, 12:46 PM

Not sure this merits a separate task from T145464? Implementation wise, it'll probably say "Powered by" or "Metadata retrieved from" and then the remaining text from the service directly, one or multiple of Zotero, CrossRef, WorldCat, (possibly citoid when native scraper is used?)

(Is there a clean way to give multiple sources and then do that in i18n?)

Not sure this merits a separate task from T145464?

I was assuming we'd do one before the other. :-)

Implementation wise, it'll probably say "Powered by" or "Metadata retrieved from" and then the remaining text from the service directly, one or multiple of Zotero, CrossRef, WorldCat, (possibly citoid when native scraper is used?)
(Is there a clean way to give multiple sources and then do that in i18n?)

Hmm. I believe that kind of "lego i18n" doesn't work for some languages, sadly. We could cheat for them with the equivalent of "powered by: Zotero", but…

(Sorry, forgot to actually give the rest of my comment.)

… So, I was thinking this'd return some string values 'foo', 'bar' and locally we'd check to know if we recognise them; if yes, show the …-foo i18n key, if not show …-unknown which'd say something like "Powered by another source" so we can expand it later. But eh.

Mvolz claimed this task.Nov 28 2016, 12:56 PM

Change 327512 had a related patch set uploaded (by Mvolz):
Add ISBN to field name and credit Worldcat

https://gerrit.wikimedia.org/r/327512

Change 327512 abandoned by Mvolz:
Add ISBN to field name and credit Worldcat

https://gerrit.wikimedia.org/r/327512

Change 327512 restored by Mvolz:
Add ISBN to field name and credit Worldcat

https://gerrit.wikimedia.org/r/327512

Mvolz renamed this task from Credit the source of the ISBN data to Credit the source of the ISBN data in Citoid Extension.Jan 19 2017, 12:29 PM
Mvolz updated the task description. (Show Details)
Jdforrester-WMF closed this task as Resolved.Feb 28 2017, 8:58 PM

Will go out in wmf.15 (i.e. next Tuesday); note that this doesn't flag the feature availability yet.

Change 327512 merged by jenkins-bot:
Credit Worldcat where they're the data source

https://gerrit.wikimedia.org/r/327512

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 16 2017, 4:28 AM